	<div class="blockform">
		<h2><span>Edit forum</span></h2>
		<div class="box">
			<form id="edit_forum" method="post" action="<%= url_for :action => 'update', :id => @forum.id %>">
				<p class="submittop"><input type="submit" name="save" value="Save changes" tabindex="6" /></p>
				<div class="inform">
					<fieldset>
						<legend>Edit forum details</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Forum name</th>
									<td><input type="text" name="forum[forum_name]" size="35" maxlength="80" value="<%=h @forum.forum_name %>" tabindex="1" /></td>
								</tr>
								<tr>
									<th scope="row">Description (HTML)</th>
									<td><textarea name="forum[forum_desc]" rows="3" cols="50" tabindex="2"><%=h @forum.forum_desc %></textarea></td>
								</tr>
								<tr>
									<th scope="row">Category</th>
									<td>
										<select name="forum[cat_id]" tabindex="3">
<% for cat in @categories -%>
											<option value="<%= cat.id%>"<%= ' selected' if @forum.category.id == cat.id %>><%=h cat.cat_name %></option>
<% end -%>
										</select>
									</td>
								</tr>
								<tr>
									<th scope="row">Sort topics by</th>
									<td>
										<select name="forum[sort_by]" tabindex="4">
											<option value="0"<%= ' selected' if @forum.sort_by == false %>>Last post</option>
											<option value="1"<%= ' selected' if @forum.sort_by == true %>>Topic start</option>
										</select>
									</td>
								</tr>
								<tr>
									<th scope="row">Redirect URL</th>
									<td><%= @forum.num_topics > 0 ? 'Only available in empty forums' : '<input type="text" name="forum[redirect_url]" size="45" maxlength="100" value="'+h(@forum.redirect_url)+'" tabindex="5" />' %></td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Edit group permissions for this forum</legend>
						<div class="infldset">
							<p>In this form, you can set the forum specific permissions for the different user groups. If you haven't made any changes to this forums group permissions, what you see below is the default based on settings in <a href="<%= url_for :action => 'groups' %>">User groups</a>. Administrators always have full permissions and are thus excluded. Permission settings that differ from the default permissions for the user group are marked red. The "Read forum" permission checkbox will be disabled if the group in question lacks the "Read board" permission. For redirect forums, only the "Read forum" permission is editable.</p>
							<table id="forumperms" cellspacing="0">
							<thead>
								<tr>
									<th class="atcl">&nbsp;</th>
									<th>Read forum</th>
									<th>Post replies</th>
									<th>Post topics</th>
								</tr>
							</thead>
							<tbody>
<%
  for group in @groups
    next if group.is_admin?
    fp = @forum.forum_perms.find :first, :conditions => "group_id = #{group.id}"
    if fp.nil?
      read_forum = group.g_read_board
      post_replies = group.g_post_replies
      post_topics = group.g_post_topics
    else
      read_forum = fp.read_forum
      post_replies = fp.post_replies
      post_topics = fp.post_topics
    end
-%>
								<tr>
									<th class="atcl"><%=h group.g_title %></th>
									<td<%= ' class="nodefault"' unless group.g_read_board == read_forum %>>
										<input type="checkbox" name="forum_perms[<%= group.id %>][read_forum]" value="1"<%= ' checked="checked"' if read_forum %><%= ' disabled="disabled"' unless group.g_read_board %> />
									</td>
									<td<%= ' class="nodefault"' if post_replies != group.g_post_replies && @forum.redirect_url.blank? %>>
										<input type="checkbox" name="forum_perms[<%= group.id %>][post_replies]" value="1"<%= ' checked="checked"' if post_replies %><%= ' disabled="disabled"' unless @forum.redirect_url.blank? %> />
									</td>
									<td<%= ' class="nodefault"' if post_topics != group.g_post_topics && @forum.redirect_url.blank? %>>
										<input type="checkbox" name="forum_perms[<%= group.id %>][post_topics]" value="1"<%= ' checked="checked"' if post_topics %><%= ' disabled="disabled"' unless @forum.redirect_url.blank? %> />
									</td>
								</tr>
<%
  end
-%>
							</tbody>
							</table>
							<div class="fsetsubmit"><input type="submit" name="revert_perms" value="Revert to default" /></div>
						</div>
					</fieldset>
				</div>
				<p class="submitend"><input type="submit" name="save" value="Save changes" /></p>
			</form>
		</div>
	</div>
	<div class="clearer"></div>
</div>

